{if $use_group_funcs}
{literal}

<script language="javascript">
function SwitchAll(chk_box){
	var all = chk_box.form.elements;
	for(i=0;i<all.length;i++){
		if(all[i].name=="group_ids[]"){
			all[i].checked=chk_box.checked;
		}
	}
}
function SubmitForm(frm_obj){
	if (!frm_obj){
		frm_obj=document.all.data_form;
	}
	url = frm_obj.act_sel.options[frm_obj.act_sel.selectedIndex].value;
	if(confirm("Make operation "+frm_obj.act_sel.options[frm_obj.act_sel.selectedIndex].text+"?")){
		var all = frm_obj.elements;
		var flag = true;
		for(i=0;i<all.length;i++){
			if(all[i].name=="group_ids[]"&&all[i].checked){
				flag = false;
			}
		}
		if(flag){
			alert("Select one or more rows, please.");				
			frm_obj.act_sel.selectedIndex =0
			return;
		}
		frm_obj.action=url;
		frm_obj.submit();
	}
	else{
		frm_obj.act_sel.selectedIndex =0;
	}
}
</script>
{/literal}
{/if}

{include file="partner_list_table1.tpl"}

{include file="partner_common_pager.tpl"}

{if $additional_info}
	{$additional_info}
{/if}
